%define upstream_name	 Net-NIS
%define upstream_version 0.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    NIS interface to Perl 5	
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This is a snapshot release of the NIS interface to Perl 5.  There are
three parts to the interface: the raw component (Net::NIS), the object-
oriented component (Net::NIS::Table), and the tied interface (Net::NIS).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make OPTIMIZE="%{optflags}"
# (sb) known to fail:
#  http://nntp.x.perl.org/group/perl.cpan.testers/58036 (and more)
#make test

%install
%makeinstall_std 

%files
%doc Changes META.json META.yml MYMETA.yml NIS README
%{_mandir}/man3/*
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.440.0-9.mga6
+ Revision: 1031207
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.440.0-8.mga6
+ Revision: 957817
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.440.0-7.mga6
+ Revision: 845054
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.440.0-6.mga6
+ Revision: 842572
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.440.0-5.mga5
+ Revision: 788610
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-4.mga5
+ Revision: 747501
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-3.mga5
+ Revision: 685690
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.440.0-2.mga5
+ Revision: 631523
- Rebuild for perl 5.20

* Mon Feb 24 2014 jquelin <jquelin> 0.440.0-1.mga5
+ Revision: 596329
- update to 0.44

* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-7.mga4
+ Revision: 524932
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.430.0-6.mga4
+ Revision: 431674
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-5.mga3
+ Revision: 370750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.430.0-4.mga3
+ Revision: 250994
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.430.0-3.mga2
+ Revision: 104844
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.430.0-2.mga1
+ Revision: 30937
- mageia rebuild
- imported package perl-Net-NIS


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-2mdv2011.0
+ Revision: 555266
- rebuild

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-1mdv2010.0
+ Revision: 407817
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.43-5mdv2009.0
+ Revision: 258056
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.43-4mdv2009.0
+ Revision: 246159
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.43-2mdv2008.1
+ Revision: 152223
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2008.1
+ Revision: 110284
- update to new version 0.43

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2008.1
+ Revision: 109589
- new version

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.34-6mdv2008.0
+ Revision: 25228
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.34-5mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL
- use mkrel

* Tue Dec 27 2005 Stew Benedict <sbenedict@mandriva.com> 0.34-4mdk
- rebuild

* Thu Nov 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.34-3mdk
- rebuild for new perl

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.34-2mdk
- rebuild, reupload from correct host

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.34-1mdk
- first Mandrake release, optional feature for nocatauth

